<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>org.apache</groupId>
    <artifactId>apache</artifactId>
    <version>17</version>
    <relativePath/>
  </parent>

  <groupId>org.apache.cassandra</groupId>
  <artifactId>cassandra-project</artifactId>
  <version>3.0.9</version>
  <packaging>pom</packaging>
  <name>Apache Cassandra</name>
  <description>The Apache Cassandra Project develops a highly scalable second-generation distributed database, bringing together Dynamo's fully distributed design and Bigtable's ColumnFamily-based data model.</description>
  <url>http://cassandra.apache.org</url>
  <inceptionYear>2009</inceptionYear>
  <licenses>
    <license>
      <name>The Apache Software License, Version 2.0</name>
      <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
    </license>
  </licenses>
  <developers>
    <developer>
      <id>alakshman</id>
      <name>Avinash Lakshman</name>
    </developer>
    <developer>
      <id>aleksey</id>
      <name>Aleksey Yeschenko</name>
    </developer>
    <developer>
      <id>amorton</id>
      <name>Aaron Morton</name>
    </developer>
    <developer>
      <id>benedict</id>
      <name>Benedict Elliott Smith</name>
    </developer>
    <developer>
      <id>benjamin</id>
      <name>Benjamin Lerer</name>
    </developer>
    <developer>
      <id>brandonwilliams</id>
      <name>Brandon Williams</name>
    </developer>
    <developer>
      <id>dbrosius</id>
      <name>David Brosius</name>
    </developer>
    <developer>
      <id>eevans</id>
      <name>Eric Evans</name>
    </developer>
    <developer>
      <id>gdusbabek</id>
      <name>Gary Dusbabek</name>
    </developer>
    <developer>
      <id>goffinet</id>
      <name>Chris Goffinet</name>
    </developer>
    <developer>
      <id>jaakko</id>
      <name>Laine Jaakko Olavi</name>
    </developer>
    <developer>
      <id>jake</id>
      <name>T Jake Luciani</name>
    </developer>
    <developer>
      <id>jasonbrown</id>
      <name>Jason Brown</name>
    </developer>
    <developer>
      <id>jbellis</id>
      <name>Jonathan Ellis</name>
    </developer>
    <developer>
      <id>jmckenzie</id>
      <name>Josh McKenzie</name>
    </developer>
    <developer>
      <id>johan</id>
      <name>Johan Oskarsson</name>
    </developer>
    <developer>
      <id>junrao</id>
      <name>Jun Rao</name>
    </developer>
    <developer>
      <id>marcuse</id>
      <name>Marcus Eriksson</name>
    </developer>
    <developer>
      <id>mishail</id>
      <name>Mikhail Stepura</name>
    </developer>
    <developer>
      <id>pmalik</id>
      <name>Prashant Malik</name>
    </developer>
    <developer>
      <id>rstupp</id>
      <name>Robert Stupp</name>
    </developer>
    <developer>
      <id>scode</id>
      <name>Peter Schuller</name>
    </developer>
    <developer>
      <id>beobal</id>
      <name>Sam Tunnicliffe</name>
    </developer>
    <developer>
      <id>slebresne</id>
      <name>Sylvain Lebresne</name>
    </developer>
    <developer>
      <id>tylerhobbs</id>
      <name>Tyler Hobbs</name>
    </developer>
    <developer>
      <id>vijay</id>
      <name>Vijay Parthasarathy</name>
    </developer>
    <developer>
      <id>xedin</id>
      <name>Pavel Yaskevich</name>
    </developer>
    <developer>
      <id>yukim</id>
      <name>Yuki Morishita</name>
    </developer>
  </developers>
  <scm>
    <connection>scm:git://git.apache.org/cassandra.git</connection>
    <developerConnection>scm:git://git.apache.org/cassandra.git</developerConnection>
    <url>http://git-wip-us.apache.org/repos/asf?p=cassandra.git;a=tree</url>
  </scm>
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <mead.url>http://download.eng.bos.redhat.com/brewroot/repos/jb-mc-4.0-build/latest/maven</mead.url>
    <release>true</release>
    <version>${project.version}</version>
    <artifact.remoteRepository.central>${mead.url}</artifact.remoteRepository.central>
    <artifact.remoteRepository.java.net2>${mead.url}</artifact.remoteRepository.java.net2>
    <artifact.remoteRepository.apache>${mead.url}</artifact.remoteRepository.apache>
    <artifact.remoteRepository.jclouds></artifact.remoteRepository.jclouds>
    <artifact.remoteRepository.oauth></artifact.remoteRepository.oauth>
    <maven.version>3.2.3</maven.version>
    <maven-ant-tasks.url>${mead.url}/org/apache/maven/maven-ant-tasks</maven-ant-tasks.url>
    <maven-ant-tasks.version>2.1.3</maven-ant-tasks.version>
    <maven-settings>${user.home}/.m2/settings.xml</maven-settings>
  </properties>

  <build>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>build-helper-maven-plugin</artifactId>
        <version>1.9.1</version>
        <executions>
          <execution>
            <id>regex-property-maven-repository-id</id>
            <goals>
              <goal>regex-property</goal>
            </goals>
            <configuration>
              <name>maven-repository-id</name>
              <value>${altDeploymentRepository}</value>
              <regex>^(.*)::(.*)::(.*)$</regex>
              <replacement>$1</replacement>
              <failIfNoMatch>true</failIfNoMatch>
            </configuration>
          </execution>
          <execution>
            <id>regex-property-maven-repository-url</id>
            <goals>
              <goal>regex-property</goal>
            </goals>
            <configuration>
              <name>maven-repository-url</name>
              <value>${altDeploymentRepository}</value>
              <regex>^(.*)::(.*)::(.*)$</regex>
              <replacement>$3</replacement>
              <failIfNoMatch>true</failIfNoMatch>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-antrun-plugin</artifactId>
        <version>1.8</version>
        <executions>
          <execution>
            <phase>compile</phase>
            <configuration>
              <target>
                <property name="project.organization.name" value="${project.organization.name}"/>
                <property name="project.scm.connection" value="${project.scm.connection}"/>
                <property name="project.scm.url" value="${project.scm.url}"/>
                <property name="project.url" value="${project.url}"/>
                <ant antfile="${project.basedir}/build.xml" target="publish"/>
              </target>
            </configuration>
            <goals>
              <goal>run</goal>
            </goals>
          </execution>
        </executions>
        <dependencies>
          <dependency>
            <groupId>com.sun</groupId>
            <artifactId>tools</artifactId>
            <version>1.8.0</version>
            <scope>system</scope>
            <systemPath>${java.home}/../lib/tools.jar</systemPath>
          </dependency>
        </dependencies>
      </plugin>
    </plugins>
  </build>
</project>
